Name:           tbe
Version:        0.9.3.1
Release:        %mkrel 1
Summary:        The Butterfly Effect is a physics-based puzzle game
Group:          Games/Puzzles
License:        GPLv2
URL:            http://the-butterfly-effect.org
Source0:        https://github.com/the-butterfly-effect/tbe/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qttools5
Provides:       thebutterflyeffect = %{version}-%{release}

%description
The Butterfly Effect uses realistic physics simulations to combine
lots of simple mechanical elements to achieve a simple goal in the
most complex way possible.

%prep
%setup -q
%autopatch -p1

%build
pushd i18n
./%{name}_levels_i18n.sh
popd
%cmake -DWITH_DOCS=OFF \
       -DBUILD_SHARED_LIBS=OFF \
       -DCMAKE_BUILD_TYPE=Release
%make_build

%install
%make_install -C build

%files
%doc AUTHORS DESCRIPTION README.md installer/License imagery/README.*
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Wed Jun 01 2016 akien <akien> 0.9.3.1-1.mga6
+ Revision: 1019661
- Version 0.9.3.1
  o Now built using Qt5

* Fri May 13 2016 daviddavid <daviddavid> 0.9.2.1-3.mga6
+ Revision: 1015002
- add a patch to fix build due to missing include vector header

  + tv <tv>
    - use std macros for building

* Wed Feb 17 2016 umeabot <umeabot> 0.9.2.1-2.mga6
+ Revision: 963003
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 alexl <alexl> 0.9.2.1-1.mga6
+ Revision: 896053
- version 0.9.2.1
- new spec file
- del upstreamed patches

  + akien <akien>
    - imported package tbe

